summaryrefslogtreecommitdiffstats
path: root/multimedia/stills2dv
diff options
context:
space:
mode:
author Pedro Mendes <pedro@gepasi.org>2010-03-03 14:21:47 -0600
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 13:24:20 +0200
commit30d6b3d9c828d13acc4de637608e8d5d482f20c4 (patch)
treed1b502bd6f31dddeaf58750363b4c6f1af4f7ad0 /multimedia/stills2dv
parent88178a0d42ac3b51a913c70aaabdcd4faa477e47 (diff)
downloadslackbuilds-30d6b3d9c828d13acc4de637608e8d5d482f20c4.tar.gz
slackbuilds-30d6b3d9c828d13acc4de637608e8d5d482f20c4.tar.xz
multimedia/stills2dv: Added.
Stills2dv is an open source solution to make a movie out of still pictures. Thanks to Pedro Mendes.
Diffstat (limited to 'multimedia/stills2dv')
-rw-r--r--multimedia/stills2dv/README14
-rw-r--r--multimedia/stills2dv/slack-desc19
-rwxr-xr-xmultimedia/stills2dv/stills2dv.SlackBuild67
-rw-r--r--multimedia/stills2dv/stills2dv.info10
4 files changed, 110 insertions, 0 deletions
diff --git a/multimedia/stills2dv/README b/multimedia/stills2dv/README
new file mode 100644
index 0000000000..67a8a51fd4
--- /dev/null
+++ b/multimedia/stills2dv/README
@@ -0,0 +1,14 @@
+An open source solution to make a movie out of still pictures,
+stills can be of any resolution (highest preferably for best
+results). The output also could be of any resolution, from a
+small video for youtube to a full HD (or more if you know what
+you're doing). Since we now can make JPGs for ffmpeg and
+mencoder as well as PPMs for encodedv this application could
+also be called; stills2mpeg
+
+To encode the movies you need encodedv (part of libdv, available
+through SlackBuilds.org) for DV (standard definition only) or
+mencoder (part of mplayer, part of Slackware 13) for mpeg2,
+mpeg4, etc... (standard or high definition) or ffmpeg (available
+in SlackBuilds.org) for mpeg2, mpeg4, etc... (standard or high
+definition)
diff --git a/multimedia/stills2dv/slack-desc b/multimedia/stills2dv/slack-desc
new file mode 100644
index 0000000000..4c1982b417
--- /dev/null
+++ b/multimedia/stills2dv/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+stills2dv: stills2dv (make movies from still images)
+stills2dv:
+stills2dv: stills2dv is an open source solution to make a movie out of still
+stills2dv: pictures; stills can be of any resolution (highest preferably for
+stills2dv: best results). The output also could be of any resolution, from a
+stills2dv: small video for youtube to a full HD (or more if you know what
+stills2dv: you're doing). Since we now can make JPGs for ffmpeg and mencoder as
+stills2dv: well as PPMs for encodedv this application could also be called
+stills2dv: stills2mpeg
+stills2dv:
+stills2dv: Homepage: http://www.deniscarl.com/stills2dv/
diff --git a/multimedia/stills2dv/stills2dv.SlackBuild b/multimedia/stills2dv/stills2dv.SlackBuild
new file mode 100755
index 0000000000..aaad82eaba
--- /dev/null
+++ b/multimedia/stills2dv/stills2dv.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+#
+# Slackware build script for stills2dv
+#
+# This is hereby put in the public domain
+
+PRGNAM=stills2dv
+VERSION=alpha-0.601
+VERSION2=alpha_0.601
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+
+mkdir -p $PKG/usr/bin
+cp -f stills2dv $PKG/usr/bin
+chmod 755 $PKG/usr/bin/stills2dv
+chown root:root $PKG/usr/bin/stills2dv
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Makefile README.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Documentation/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/$PRGNAM-$VERSION
+cp -a exampleworkfile.s2d $PKG/usr/share/$PRGNAM-$VERSION
+cp -ar example_data_files $PKG/usr/share/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/$PRGNAM-$VERSION/example_data_files/tmp
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION2-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/stills2dv/stills2dv.info b/multimedia/stills2dv/stills2dv.info
new file mode 100644
index 0000000000..e67a8bc095
--- /dev/null
+++ b/multimedia/stills2dv/stills2dv.info
@@ -0,0 +1,10 @@
+PRGNAM="stills2dv"
+VERSION="alpha-0.601"
+HOMEPAGE="http://www.deniscarl.com/stills2dv/"
+DOWNLOAD="http://sourceforge.net/projects/stills2dv/files/stills2dv/stills2dv-alpha-0.601.tgz/download"
+MD5SUM="8ed69f48d5af651aa70940e64b39c854"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Pedro Mendes"
+EMAIL="pedro@gepasi.org"
+APPROVED="Erik Hanson"